Bug 653583 - RFE: Orphaned Dependency Clean-up should handle loops
RFE: Orphaned Dependency Clean-up should handle loops
Status: NEW
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 13:10 EST by sawrub
Modified: 2016-04-20 08:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
installation and removal logs (9.90 KB, text/plain)
2010-11-15 13:12 EST, sawrub
no flags Details

  None (edit)
Description sawrub 2010-11-15 13:10:14 EST
Description of problem:
i installed VLC and its downloaded 38 packages as dependencies, now when iā€™m trying to remove VLC its just listing 17 packages as dependences for VLC.
So here is the question that the difference between install and erase call was around 3 hrs, so where are the other packages not getting depended upon. They were not needed earlier, but all of a sudden now they are needed.
I expected all of the 38 to be listed for removal, please explain where are the others left out.

Version-Release number of selected component (if applicable):
yum.noarch                  3.2.28-14.fc14                   @fedora-yum-rawhide


How reproducible:
Reproduced once as described in description.

Steps to Reproduce:
1. Install VLC
2. Try erasing VLC, using yum
3. See the difference in the count of packages that were installed and then the one selected for removal.
  
Actual results:
There is difference in number listed for removal.

Expected results:
I expect all of the packages that were installed to be listed for removal. Since they were needed only for VLC. No other package was installed without dependencies i.e. broken dependencies, since its a fresh install of F14.

Additional info:
Please ask will provide it.
Comment 1 sawrub 2010-11-15 13:12:21 EST
Created attachment 460597 [details]
installation and removal logs
Comment 2 James Antill 2010-11-15 15:09:59 EST
The problem is that we have:

qt requires qt-sqlite
qt-sqlite requires qt

...so when you install vlc you get both, as requirments. But when you come to remove vlc, each one stops the other from being removed (as we don't currently look for loops).
Comment 3 seth vidal 2010-11-16 10:54:53 EST
qt doesn't require qt-sqlite
qt-sqlite does require qt though.


I agree we need to break loops better - but the above isn't one.

Note You need to log in before you can comment on or make changes to this bug.